RHEL 8 : tigervnc (RHSA-2023:7526)

high Nessus Plugin ID 186375

Synopsis

The remote Red Hat host is missing a security update for tigervnc.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2023:7526 advisory.

- A out-of-bounds write flaw was found in the xorg-x11-server. This issue occurs due to an incorrect calculation of a buffer offset when copying data stored in the heap in the XIChangeDeviceProperty function in Xi/xiproperty.c and in RRChangeOutputProperty function in randr/rrproperty.c, allowing for possible escalation of privileges or denial of service. (CVE-2023-5367)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL tigervnc package based on the guidance in RHSA-2023:7526.

See Also

https://access.redhat.com/security/cve/CVE-2023-5367

https://access.redhat.com/errata/RHSA-2023:7526

Plugin Details

Severity: High

ID: 186375

File Name: redhat-RHSA-2023-7526.nasl

Version: 1.1

Type: local

Agent: unix

Published: 11/28/2023

Updated: 1/26/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

CVSS Score Source: CVE-2023-5367

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:rhel_aus:8.4, cpe:/o:redhat:rhel_e4s:8.4, cpe:/o:redhat:rhel_tus:8.4, p-cpe:/a:redhat:enterprise_linux:tigervnc, p-cpe:/a:redhat:enterprise_linux:tigervnc-icons, p-cpe:/a:redhat:enterprise_linux:tigervnc-license, p-cpe:/a:redhat:enterprise_linux:tigervnc-selinux, p-cpe:/a:redhat:enterprise_linux:tigervnc-server, p-cpe:/a:redhat:enterprise_linux:tigervnc-server-minimal, p-cpe:/a:redhat:enterprise_linux:tigervnc-server-module

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 11/28/2023

Vulnerability Publication Date: 10/25/2023

Reference Information

CVE: CVE-2023-5367

CWE: 787

RHSA: 2023:7526